Subject: Re: memcpy regression

From: Michal Sojka <[email-masked]>
Date: Fri, 04 Sep 2015 16:35:40 +0200

On Fri, Sep 04 2015, Christophe LEROY wrote:
> Le 04/09/2015 15:33, Michal Sojka a écrit :
>> Dear Christophe,
>>
>> my MPC5200-based system stopped booting recently. I bisected the problem
>> to your commit below. If I revert that commit (on top of
>> 807249d3ada1ff28a47c4054ca4edd479421b671 = v4.2-6663-g807249d), my
>> system boots again.
>>
>>
>
> Do you use mainline code only, or do you have home-made code ?

I use mainline only sources with non-mainline device-tree.

> memcpy() is not supposed to be used on non-cacheable memory.
> memcpy_toio() is the function to use when copying to non-cacheble area.
>
> When I submitted the patch, I looked for erroneous use of memcpy() and 
> memset().
> I found one wrong use of memset() that I changed to memset_io() but I 
> didn't find any misuse of memcpy().
> But I may have missed one.

I attach my .config, if it helps. I have there

CONFIG_PPC_MPC52xx=y
CONFIG_PPC_MPC5200_SIMPLE=y

so arch/powerpc/platforms/52xx is probably the directory to look. Do you
see any mempcy misuse there?

Thanks,
-Michal